AutoCAD 2000/2000i/2002 Archive

AutoCAD 2000/2000i/2002 Archive

Reply
*Dennis Rich
Message 1 of 8 (90 Views)

Modifying commands

90 Views, 7 Replies
08-25-2005 09:15 AM
I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--
Dennis Rich
D.T. Collins & Associates
1042 Mechem Drive
Ruidoso, NM 88345
(505) 258-5272
Contributor
cadanator
Posts: 20
Registered: ‎08-08-2005
Message 2 of 8 (90 Views)

Re: Modifying commands

08-25-2005 10:11 AM in reply to: *Dennis Rich
You can TAB mid-command and it will select & cycle through the nearest
osnaps.

Hope this helps!

Hope this works.
"Dennis Rich" wrote in message
news:4938855@discussion.autodesk.com...
I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--
Dennis Rich
D.T. Collins & Associates
1042 Mechem Drive
Ruidoso, NM 88345
(505) 258-5272
*R.K. McSwain
Message 3 of 8 (90 Views)

Re: Modifying commands

08-25-2005 11:11 AM in reply to: *Dennis Rich
"Dennis Rich" wrote in message
news:4938855@discussion.autodesk.com...
I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--------------------------------------------

You could undefine the core "line" command, then use your own lisp routine
to
draw lines with ENDP object snap turned on (example below):


(defun c:line ()
(setq o (getvar "osmode"))
(setvar "osmode" 1)
(setq p1 (getpoint "\n Specify first point: "))
(setq p2 (getpoint p1 "\n Specify next point: "))
(setvar "osmode" 0)
(command "._line" p1 p2 "")
(setvar "osmode" o)
(princ)
)




--
R.K. McSwain
http://rkmcswain.blogspot.com
Distinguished Contributor
madcadd
Posts: 2,768
Registered: ‎01-05-2004
Message 4 of 8 (90 Views)

Re: Modifying commands

08-25-2005 12:12 PM in reply to: *Dennis Rich
Hi R. K.,

Is the highlighted "o" oh supposed to be "0", zero in your lisp routine?
Distinguished Contributor
madcadd
Posts: 2,768
Registered: ‎01-05-2004
Message 5 of 8 (90 Views)

Re: Modifying commands

08-25-2005 12:13 PM in reply to: *Dennis Rich
Opps! What highlight? ;-)
*R.K. McSwain
Message 6 of 8 (90 Views)

Re: Modifying commands

08-26-2005 05:07 AM in reply to: *Dennis Rich
madcadd wrote:
> Hi R. K.,
>
> Is the highlighted "o" oh supposed to be "0", zero in your lisp routine?

No. It's the same "o" as in the second line.

--
R.K. McSwain
http://rkmcswain.blogspot.com
Distinguished Contributor
madcadd
Posts: 2,768
Registered: ‎01-05-2004
Message 7 of 8 (90 Views)

Re: Modifying commands

08-26-2005 11:20 AM in reply to: *Dennis Rich
R.K. wrote:

>No. It's the same "o" as in the second line.

OK! Just checkin' ;-)
Valued Contributor
Cad Monkey 19
Posts: 88
Registered: ‎08-26-2005
Message 8 of 8 (90 Views)

Re: Modifying commands

09-01-2005 09:27 AM in reply to: *Dennis Rich
If you work without OSNAP turned on but still want to use snaps now ant then your can usually type in the first 3 or 4 letters of a snap point mid command. Eg:

END = ENDPOINT
PER = PERPENDICULAR
QUAD = QUADRANT.
etc.

Careful though, if you miss the first the first time you will have to type it in again.

Oh yeah, and you can toggle OSNAP with F3.
Cheers
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.